%define api_version	2
%define lib_major	2
%define gir_major	2.0
%define lib_name	%mklibname rsvg %{api_version} %{lib_major}
%define libnamedev	%mklibname -d rsvg %{api_version}
%define girname		%mklibname rsvg-gir %{gir_major}

# mozilla plugin requires xulruuner 1.8 not 1.9
%define build_mozilla 0

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		librsvg
Summary:	Raph's SVG library
Version:	2.36.4
%define subrel	1
Release: 	%mkrel 2
License: 	LGPLv2+ and GPLv2+
Group:		Graphics/Utilities
Source0: 	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		librsvg-2.36.4-CVE-2013-1881-1.patch
Patch1:		librsvg-2.36.4-CVE-2013-1881-2.patch
URL: 		http://librsvg.sourceforge.net/
BuildRequires:	pkgconfig(cairo) >= 1.2.0
BuildRequires:	pkgconfig(cairo-png) >= 1.2.0
BuildRequires:	pkgconfig(fontconfig) >= 1.0.1
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 1.3.7
BuildRequires:	pkgconfig(gio-2.0) >= 2.16.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.12.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.0
BuildRequires:	pkgconfig(libcroco-0.6) >= 0.6.1
BuildRequires:	pkgconfig(libxml-2.0) >= 2.7.0
BuildRequires:	pkgconfig(pangocairo) >= 1.10.0
BuildRequires:	pkgconfig(pangoft2) >= 1.2.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gtk-doc >= 1.13
BuildRequires:	docbook-dtd31-sgml
Requires:	python

%description
A library that uses libart and pango to render svg files.

#-----------------------------------------------------------

%package -n %{lib_name}
Summary:	Raph's SVG library
Group:		System/Libraries
Provides:	%{name}%{api_version} = %{version}-%{release}
Conflicts:	%{name} < 2.16.1-2
Requires(post):		gdk-pixbuf2.0
Requires(postun):	gdk-pixbuf2.0

%description -n %{lib_name}
A library that uses libart and pango to render svg files.

%post -n %{lib_name}
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%postun -n %{lib_name}
#only update on uninstall, upgrade will be done by post of new package
if [ "$1" = "0" -a -x %{_bindir}/gdk-pixbuf-query-loaders ]; then 
  [ -x %{_bindir}/gdk-pixbuf-query-loaders ] && %{_bindir}/gdk-pixbuf-query-loaders --update-cache
fi

#-----------------------------------------------------------

%package -n %{libnamedev}
Summary:	Libraries and include files for developing with librsvg
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d rsvg 2 2

%description -n %{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

#-----------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

#-----------------------------------------------------------

%if %build_mozilla
%package mozilla
Summary:	Mozilla plugin for displaying SVG files
Group:		Networking/WWW
BuildRequires:	xulrunner-devel

%description mozilla
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.
%endif

#-----------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_5x \
	--enable-gtk-doc \
	--enable-introspection=yes \
	--disable-static
# -j4 required to build as of 2.35.0 version
%make -j4

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

rm -fr %{buildroot}%{_docdir}/librsvg

#-----------------------------------------------------------

%files 
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_bindir}/rsvg-convert
%{_bindir}/rsvg-view-3
%{_libdir}/gtk-2.0/2.10.0/engines/libsvg.so
%{_datadir}/themes/bubble/gtk-2.0/*
%{_mandir}/man1/*.1.*

%files -n %{lib_name}
%{_libdir}/librsvg-%{api_version}.so.%{lib_major}*
%{_libdir}/gdk-pixbuf-2.0/*/loaders/*.so

%files -n %{girname}
%{_libdir}/girepository-1.0/Rsvg-%{gir_major}.typelib

%files -n %{libnamedev}
%{_libdir}/*.so
%{_includedir}/librsvg-2.0
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/*
%{_datadir}/gir-1.0/Rsvg-%{gir_major}.gir

%if %build_mozilla
%files mozilla
%{_libdir}/mozilla/plugins/*.so
%endif


%changelog
* Thu Dec 26 2013 luigiwalser <luigiwalser> 2.36.4-2.1.mga3
+ Revision: 560862
- add patches from opensuse to fix CVE-2013-1881

* Sat Jan 12 2013 umeabot <umeabot> 2.36.4-2.mga3
+ Revision: 358115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Tue Oct 16 2012 ovitters <ovitters> 2.36.4-1.mga3
+ Revision: 307014
- update group: Graphics/Other
- new version 2.36.4

* Sun Sep 02 2012 ovitters <ovitters> 2.36.3-1.mga3
+ Revision: 287244
- new version 2.36.3

* Sun Aug 19 2012 ovitters <ovitters> 2.36.2-1.mga3
+ Revision: 282396
- new version 2.36.2

* Sat Jun 09 2012 fwang <fwang> 2.36.1-1.mga3
+ Revision: 258371
- update file list

  + ovitters <ovitters>
    - new version 2.36.1

* Mon Mar 26 2012 ovitters <ovitters> 2.36.0-1.mga2
+ Revision: 226803
- clean spec
- update file list
- new version 2.36.0

* Mon Mar 05 2012 fwang <fwang> 2.35.2-3.mga2
+ Revision: 218446
- symlink not neede now

* Sun Mar 04 2012 luigiwalser <luigiwalser> 2.35.2-2.mga2
+ Revision: 217727
- restore rsvg and rsvg-view commands with symlinks

* Tue Feb 07 2012 fwang <fwang> 2.35.2-1.mga2
+ Revision: 205677
- update file list
- new version 2.35.2

* Mon Dec 19 2011 wally <wally> 2.35.1-1.mga2
+ Revision: 184571
- new version 2.35.1
- drop P0, fixed upstream

* Tue Dec 13 2011 zezinho <zezinho> 2.35.0-3.mga2
+ Revision: 181423
- Fix including rsvg.h always causing a deprecated warning from fedora

* Mon Nov 14 2011 wally <wally> 2.35.0-2.mga2
+ Revision: 167807
- bump rel due to misbehaving BS
- new version 2.35.0
- enable introspection support and create own subpackage for .typelib
- clean .spec a bit

* Wed Sep 07 2011 fwang <fwang> 2.34.1-1.mga2
+ Revision: 140525
- new version 2.34.1

* Wed Jun 15 2011 dmorgan <dmorgan> 2.34.0-2.mga2
+ Revision: 107984
- Bump release
- Fix file list

* Wed Jun 08 2011 dmorgan <dmorgan> 2.34.0-1.mga2
+ Revision: 101740
- Fix file list
- Fix buildrequires
- New version 2.34.0

  + mikala <mikala>
    - Drop mdk macros
    - imported package librsvg

